Bug 245610 - [NetApp 5.2 bug] Mounting a partitioned dm-mp device using UUID/labels fails on RHEL 5.0
[NetApp 5.2 bug] Mounting a partitioned dm-mp device using UUID/labels fails ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.0
All Linux
high Severity high
: ---
: ---
Assigned To: Ben Marzinski
Corey Marthaler
:
Depends On:
Blocks: 246139 217208 296411 372911
  Show dependency treegraph
 
Reported: 2007-06-25 14:17 EDT by Ben Marzinski
Modified: 2010-01-11 21:38 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 09:51:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Marzinski 2007-06-25 14:17:24 EDT
+++ This bug was initially created as a clone of Bug #244975 +++

Description of problem:
If we create a partition on a dm-mp device and use the UUID of the partition for
mounting, it fails with the following error:
	$ mount UUID=a8a2abcf-28fc-480f-95d4-552eb74e8452 /mnt/filesystem1
	mount: /dev/sdz1 already mounted or /mnt/filesystem1 busy

Version-Release number of selected component (if applicable):

util-linux-2.12a-16.EL4.25
device-mapper-multipath-0.4.5-21.RHEL4

How reproducible:
Always

Steps to Reproduce:

(Assume that the dm-mp device is /dev/mapper/mpath2 on which we want to create
partitions and mount it using its UUID. Also assume that there are 4 underlying
SCSI paths for it viz., /dev/sdz, /dev/sdg, /dev/sdf/, /dev/sdr)

1. Create a partition on one of the underlying SCSI devices using fdisk:
	$ fdisk /dev/sdz

2. Verify that the device partition i.e. /dev/sdz1 is updated in the partition
table by checking the /proc/partitions.

3. Now run kpartx to reflect the partition in the dm-mp layer:
	$ kpartx -a /dev/mapper/mpath2

4. Verify that the dm-mp partition is updated in the partition table by checking
the /proc/partitions.
	(Assume that the new dm-mp device for the partition is /dev/mapper/mpath2p1).

5. Create a file system on the dm-mp partition device
	$ mke2fs -j /dev/mapper/mpath2p1

6. Get the UUID of the dm-mp partition by running:
	$ dumpe2fs /dev/mapper/mpath2p1 | grep UUID

7. Assume that the UUID is a8a2abcf-28fc-480f-95d4-552eb74e8452. Now mount the
above partiton:
	$ mount UUID=a8a2abcf-28fc-480f-95d4-552eb74e8452 /mnt/filesystem1

8. The mount fails with the following error:
	$ mount UUID=a8a2abcf-28fc-480f-95d4-552eb74e8452 /mnt/filesystem1
	mount: /dev/sdz1 already mounted or /mnt/filesystem1 busy


Actual results:
Mount fails with an error similar to -
	mount: /dev/sdz1 already mounted or /mnt/filesystem1 busy


Expected results:
The mount should have succeeded without any errors.

Additional info:

1. Using labels for dm-mp partitions also fails. In this case, the error message
thrown is as follows: 
         mount: LABEL=mpath0p1 duplicate - not mounted
2. On RHEL5, both mounting by UUID/labels succeed for dm-mp partitions.
3. Attached - terminal logs with the actual commands run on a RHEL4 U5 host.

-- Additional comment from rajashekhar.a@netapp.com on 2007-06-20 07:29 EST --
Created an attachment (id=157449)
Terminal logs with exact commands and their output


-- Additional comment from rajashekhar.a@netapp.com on 2007-06-25 12:44 EST --
An update; this issue is seen on RHEL5 as well.
Comment 2 Andrius Benokraitis 2007-10-04 09:51:48 EDT
Closing per Net App's request.

Note You need to log in before you can comment on or make changes to this bug.